Skip to main content
POST
/
transactions
/
batch
Create multiple transactions
curl --request POST \
  --url https://api.artu.ai/transactions/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "items": [
    {
      "amount": 123,
      "currency": "<string>",
      "relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "scopes": [],
      "status": "not_applicable",
      "exchangeRates": {},
      "externalId": "<string>",
      "description": "<string>",
      "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {},
      "scopeData": {
        "MX": {
          "actividadVulnerable": {
            "AVI": {
              "operationType": "<unknown>",
              "hash": "<string>",
              "cryptoCurrency": "<string>",
              "cryptoAmount": 1
            },
            "JYS": {
              "branchInformation": {
                "type": "<unknown>",
                "postalCode": "<string>"
              },
              "settlementType": "<unknown>"
            }
          },
          "cnbv": {}
        },
        "US": "<unknown>"
      }
    }
  ],
  "atomic": true
}
'
{
  "atomic": "<unknown>",
  "data": [
    {
      "relatedClientIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "scopes": [],
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isAlerted": true,
      "alertedAt": "2023-11-07T05:31:56Z",
      "status": "not_applicable",
      "amount": "<unknown>",
      "currency": "<unknown>",
      "exchangeRates": {},
      "externalId": "<string>",
      "description": "<string>",
      "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {},
      "scopeData": {
        "MX": {
          "actividadVulnerable": {
            "ARI": {
              "property": {
                "leaseStartDate": "2023-12-25",
                "leaseEndDate": "2023-12-25",
                "colonia": "<string>",
                "calle": "<string>",
                "numeroExterior": "<string>",
                "postalCode": "<string>",
                "folioReal": "<string>",
                "value": "<unknown>",
                "numeroInterior": "<string>"
              },
              "payments": [
                {
                  "currency": "<string>",
                  "paymentDate": "2023-12-25",
                  "amount": "<unknown>"
                }
              ],
              "operationType": "1501"
            },
            "AVI": {
              "operationType": "<unknown>",
              "cryptoCurrency": "<string>",
              "hash": "<unknown>",
              "cryptoAmount": "<unknown>"
            },
            "INM": {
              "inmuebles": [
                {
                  "colonia": "<string>",
                  "calle": "<string>",
                  "numeroExterior": "<string>",
                  "postalCode": "<string>",
                  "folioReal": "<string>",
                  "value": "<unknown>",
                  "numeroInterior": "<string>",
                  "dimensionTerreno": "<unknown>",
                  "dimensionConstruido": "<unknown>"
                }
              ],
              "contract": {
                "type": "<unknown>",
                "instrumentNumber": "<string>",
                "instrumentDate": "2023-12-25",
                "notaryNumber": "<string>",
                "cadastralValue": "<unknown>"
              },
              "operationType": "501",
              "payments": [
                {
                  "currency": "<string>",
                  "paymentDate": "2023-12-25",
                  "amount": "<unknown>"
                }
              ]
            },
            "JYS": {
              "branchInformation": {
                "type": "<unknown>",
                "postalCode": "<unknown>"
              },
              "settlementType": "<unknown>"
            },
            "MJR": {
              "operationPostalCode": "<string>",
              "goods": [
                {
                  "quantity": "<unknown>"
                }
              ],
              "payments": [
                {
                  "currency": "<string>",
                  "paymentDate": "2023-12-25",
                  "amount": "<unknown>"
                }
              ],
              "operationType": "601"
            },
            "MPC": {
              "postalCode": "<string>",
              "disbursements": [
                {
                  "currency": "<string>",
                  "disbursementDate": "2023-12-25",
                  "amount": "<unknown>"
                }
              ],
              "collateral": [
                {
                  "bienMutuo": "<unknown>",
                  "guarantorClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                }
              ]
            },
            "TSC": {
              "idNumber": "<string>",
              "operationType": "211"
            },
            "VEH": {
              "postalCode": "<string>",
              "vehicles": [
                {
                  "kind": "<unknown>",
                  "marcaFabricante": "<unknown>",
                  "modelo": "<unknown>",
                  "anio": "<unknown>",
                  "vin": "<unknown>",
                  "repuve": "<unknown>",
                  "placas": "<unknown>",
                  "nivelBlindaje": "<unknown>"
                }
              ],
              "operationDate": "2023-12-25",
              "payments": [
                {
                  "currency": "<string>",
                  "paymentDate": "2023-12-25",
                  "amount": "<unknown>"
                }
              ]
            }
          },
          "cnbv": {
            "TRANSMISOR": {
              "sucursal": "<string>"
            }
          }
        },
        "US": "<unknown>"
      },
      "relatedClients": [
        {
          "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "metadata": {}
        }
      ],
      "riskAssessments": {},
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "color": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
items
object[]
required
Required array length: 1 - 250 elements
atomic
boolean
default:true

Response

200 - application/json

OK

atomic
any
required
data
object[]
required